---
title: 'Submit a response to a question'
description: 'This endpoint allows you to submit a response to a question.'
openapi: POST /api/loyalty/questions_responses
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`POST /api/loyalty/questions_responses`

`POST https://admin.snagsolutions.io/api/loyalty/questions_responses`

This endpoint allows you to submit a response to a question.

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Request body

- Content type: `application/json`
  - request body (object)
    - `loyaltyQuestionChoiceId` (string, uuid, required) — UUID of the selected choice
    - `websiteId` (string, uuid) — UUID of the website to filter responses
    - `organizationId` (string, uuid) — UUID of the organization to filter responses
    - `userId` (string, uuid) — UUID of the user who submitted the response

## Response 200

200
  - response (object) — Response returned when submitting an answer to a question
    - `response` (object, required)
      - `id` (string, uuid, required) — UUID of the response
      - `userId` (string, uuid, required) — UUID of the user who submitted the response
      - `loyaltyQuestionId` (string, uuid, required) — UUID of the question being answered
      - `loyaltyQuestionChoiceId` (string, uuid, required) — UUID of the selected choice
    - `isCorrect` (boolean, required) — Whether the submitted answer was correct
    - `alreadySubmitted` (boolean, required) — Whether the user had already submitted an answer to this question

## Response 401

401
  - response (object)
    - `error` (string, required)

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 404

404
  - response (object)
    - `error` (string, required)

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
